#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EOverlayToggleBarLocation {
    Bottom = 0,
    Left = 1,
    Right = 2,
    Top = 3,
}

impl EOverlayToggleBarLocation {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Bottom as i32 => Some(Self::Bottom),
            x if x == Self::Left as i32 => Some(Self::Left),
            x if x == Self::Right as i32 => Some(Self::Right),
            x if x == Self::Top as i32 => Some(Self::Top),
            _ => None,
        }
    }
}
